Subject: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Gregory Heytings <[email-masked]>
Date: Sun, 21 Aug 2022 11:43:41 +0000

>
> Narrowing inside redisplay itself is okay, provided that it's undone 
> before we call redisplay_mode_lines.
>

I pushed a potential fix to the feature branch.  Does that look correct to 
you?  It seems to me (but I could very well be wrong) that if we use the 
actual narrowing bounds inside decode_mode_spec, the mode line will 
contain the correct information.  Another way to do it would be to unset 
and reset the locked narrowing for each buffer in the loop inside 
redisplay_mode_lines, I think.